/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Jul 18 12:38:24 EEST 2000
    copyright            : (C) 2000 by Marko Grnroos
    email                : magi@iki.fi
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kauditor.h"
#include <magic/magisupp.h>

int main(int argc, char *argv[]) {
	assertmode = ASSERT_CRASH;

  KApplication app(argc, argv, "kauditor");
 
  if (app.isRestored()) {
    RESTORE(KAuditorApp);
  } else {
    KAuditorApp *kauditor = new KAuditorApp();
    kauditor->show();

    if(argc>1)
      kauditor->openDocumentFile(argv[1]);
  }

	try {
		return app.exec();
	} catch (Exception e) {
		fprintf (stderr, "Exception: %s\n", (CONSTR) e.what());
		fflush (stderr);
	}
	return -1;
}  
